# IShUtilities.h File Reference

## Classes
struct | IShUtilities
| General utilities. More...
struct | APITypeAndName
| Used to pass around ID/name pairs. More...
struct | IShNetworkUtilities
struct | IShFileFormatUtilities
| Utilities for handling file formats. Includes file open/save dialog boxes, file format families and lists. More...
struct | TComponentClassInfo
struct | IShComponentUtilities
| Utilities for handling components. More...
struct | IShMenuUtilities
| Utilities for handling menus. More...
struct | IShFileUtilities
| File utilities provided by the shell for IMCFile handling. More...
struct | IShFileStream
| Simple stream interface to provide basic file access services. More...
struct | IShAction
| Interface for basic Actions. All actions should implement these functions. More...
struct | IShMouseAction
struct | IShActionManager
| Interface for the Action Manager, which handles dispatching of actions. More...
struct | IShResourceUtilities
| Utilities for getting and handling resources. More...
struct | IShPersonalityUtilities
| Utility functions to access the application user defined information (UI, shortcuts...). More...
struct | IShDragAndDropUtilities
struct | IShMouseUtilities
struct | IShSoundUtilities
## Defines
#define | kShStreamIn 1
#define | kShStreamOut 2
#define | kShStreamBegin 0
#define | kShStreamCurrent 1
#define | kShStreamEnd 2
#define | kShDoAction 0
| Stage for IShMouseAction::GetPartToRedraw.
#define | kShUndoAction 1
| Stage for IShMouseAction::GetPartToRedraw.
#define | kShRedoAction 2
| Stage for IShMouseAction::GetPartToRedraw.
#define | kShBeginTracking 0
| Tracking stage for IShMouseAction::Track.
#define | kShContinueTracking 1
| Tracking stage for IShMouseAction::Track.
#define | kShFinishTracking 2
| Tracking stage for IShMouseAction::Track.
## Typedefs
typedef void * | BufferChunk
## Enumerations
enum | EAlerts { kShNotificationAlert, kShCautionAlert, kShStopAlert }
enum | EAlertButtons { kOneButton, kTwoButtons, kThreeButtons, kCustomButtons }
## Functions
| MCDEFINE_GUID_H (IID_IShUtilities)
| MCDEFINE_GUID_H (IID_IShFileUtilities)
| MCDEFINE_GUID_H (IID_IShFileFormatUtilities)
| MCDEFINE_GUID_H (IID_IShFileStream)
| MCDEFINE_GUID_H (IID_IShComponentUtilities)
| MCDEFINE_GUID_H (IID_IShMenuUtilities)
| MCDEFINE_GUID_H (CLSID_StandardFileStream)
| MCDEFINE_GUID_H (CLSID_StandardTokenStream)
| MCDEFINE_GUID_H (IID_IShActionManager)
| MCDEFINE_GUID_H (IID_IShAction)
| MCDEFINE_GUID_H (IID_IShMouseAction)
| MCDEFINE_GUID_H (IID_IShPartUtilities)
| MCDEFINE_GUID_H (IID_IShResourceUtilities)
| MCDEFINE_GUID_H (IID_IShPersonalityUtilities)
| MCDEFINE_GUID_H (IID_IShDragAndDropUtilities)
| MCDEFINE_GUID_H (IID_IShMouseUtilities)
| MCDEFINE_GUID_H (IID_IShSoundUtilities)
| MCDEFINE_GUID_H (IID_IShNetworkUtilities)

## Typedef Documentation

typedef void* BufferChunk

## Function Documentation

MCDEFINE_GUID_H | ( | IID_IShNetworkUtilities |  | ) |

MCDEFINE_GUID_H | ( | IID_IShSoundUtilities |  | ) |

MCDEFINE_GUID_H | ( | IID_IShMouseUtilities |  | ) |

MCDEFINE_GUID_H | ( | IID_IShDragAndDropUtilities |  | ) |

MCDEFINE_GUID_H | ( | IID_IShPersonalityUtilities |  | ) |

MCDEFINE_GUID_H | ( | IID_IShResourceUtilities |  | ) |

MCDEFINE_GUID_H | ( | IID_IShPartUtilities |  | ) |

MCDEFINE_GUID_H | ( | IID_IShMouseAction |  | ) |

MCDEFINE_GUID_H | ( | IID_IShAction |  | ) |

MCDEFINE_GUID_H | ( | IID_IShActionManager |  | ) |

MCDEFINE_GUID_H | ( | CLSID_StandardTokenStream |  | ) |

MCDEFINE_GUID_H | ( | CLSID_StandardFileStream |  | ) |

MCDEFINE_GUID_H | ( | IID_IShMenuUtilities |  | ) |

MCDEFINE_GUID_H | ( | IID_IShComponentUtilities |  | ) |

MCDEFINE_GUID_H | ( | IID_IShFileStream |  | ) |

MCDEFINE_GUID_H | ( | IID_IShFileFormatUtilities |  | ) |

MCDEFINE_GUID_H | ( | IID_IShFileUtilities |  | ) |

MCDEFINE_GUID_H | ( | IID_IShUtilities |  | ) |